* {
  box-sizing: border-box;
}

header,
main,
footer {
  display: block;
  width: 100vw;
  max-width: 1500px;
  margin: 0 auto;
}

img {
  max-width: 100%;
}

h3 {
  font-family: Courgette;
}

/*        */
/* Header */
/*        */
header {
  background-color: #f6d4f5;
  text-align: center;
}

.topbar {
  background-color: black;
  color: white;
  text-align: center;
}

#cart {
  display: none;
}

nav > a {
  display: block;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  color: black;
  line-height: 2em;
  transition-duration: 0.5s;
  transition-timing-function: ease;
}

nav > a:hover {
  background-color: black;
  color: white;
  margin: 0 5em;
}

nav {
  padding: 1em 0 2em;
}

/*      */
/* Main */
/*      */
main {
  background-color: #e6e2e2;
  padding: 1em 0 1em;
}

#slider,
#select,
#news {
  width: 75%;
  margin: 0 auto;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  margin: 2em auto;
  padding: 1em;
  text-align: center;
}

#slider > h2 {
  text-align: start;
  background-color: #f6d4f5;
  opacity: 0.8;
  padding: 1em;
  font-family: none;
  font-size: small;
}

span {
  font-weight: 200;
}

.escarpin img {
  max-width: 30%;
}

#select > h1 {
  font-size: 1.2em;
}

#select > article > h3 {
  font-size: small;
}

#select:hover > article {
  opacity: 0.5;
}

#select article:hover {
  transition-duration: 1s;
  transition-timing-function: ease;
  opacity: 1;
}

#news {
  width: 60%;
}

#news > article {
  margin-bottom: 1em;
}

#news > article:nth-child(3) {
  margin-bottom: 0;
}

#news > article > h2 {
  text-align: left;
  padding: 0.2em 1em;
  margin: 0 auto 0.5em;
  width: auto;
  font-size: small;
  color: white;
  width: auto;
}

#news > article > h3 {
  margin: 0.5em auto 0.5em;
}

#new > h2 {
  background-color: #e935c1;
}

#best > h2 {
  background-color: #91bc48;
}

#crush > h2 {
  background-color: #0398ad;
}

/*        */
/* Footer */
/*        */
small {
  display: block;
}

#info {
  background-color: #e3ade1;
  line-height: 1.4em;
  text-align: center;
  padding: 1em;
  transition-duration: 1s;
  transition-timing-function: ease;
}

#info > article:hover {
  color: white;
  cursor: pointer;
}

#bottombar {
  background-color: #f6d4f5;
  text-align: center;
  padding: 1em;
}

ul {
  list-style-type: none;
  padding: 0;
  margin-top: 0;
}

#bottombar > article > h2:first-child {
  margin-top: 0;
}

#bottombar > article > h2 {
  margin-bottom: 0.2em;
}

/*                       */
/* Media queries desktop */
/*                       */

@media screen and (min-width: 640px) {
  /*                */
  /* Header desktop */
  /*                */
  header {
    text-align: left;
  }

  header .container {
    width: 75%;
    margin: 0 auto;
  }

  header img {
    width: 50%;
    max-width: 75%;
  }

  #cart {
    display: block;
    float: right;
    padding: 2em;
  }

  .left {
    float: left;
    margin: 0 0.2em 0;
  }

  .clear::after {
    clear: both;
  }

  .left span {
    display: block;
    font-weight: bold;
    text-align: right;
  }

  .fa-shopping-cart {
    font-size: 2.2em;
    color: #e8afef;
    margin-left: 0.2em;
  }

  nav {
    display: flex;
    justify-content: space-around;
    padding: 1em;
  }

  header .container > nav > a:hover {
    background-color: rgb(53, 50, 50);
    color: white;
    transition: all 0.1s ease 0s;
    margin: 0;
    padding: 0.5em;
  }

  /*              */
  /* Main desktop */
  /*              */
  #slider h2 {
    position: absolute;
    width: fit-content;
    height: auto;
    margin: 0;
    padding: 1em;
    font-size: 1em;
  }

  #select {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: 1fr 3fr;
    align-items: baseline;
  }

  #select > h1 {
    grid-area: 1/1/2/6;
    font-size: 1.5em;
    width: 100%;
    margin: 0;
    text-align: left;
  }

   .escarpin img {
    max-width: 50%;
   }

   .escarpin h3 {
    margin-bottom: 0;
   }

  #news {
    display: flex;
    justify-content: space-between;
    gap: 1em;
    width: 75%;
    margin: 0 auto 2em;
    background-color: #e6e2e2;
    padding: 0;
    box-shadow: none;
  }

  #new,
  #best,
  #crush {
    margin: 0;
    padding: 1em;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  }
  #news > article {
    background-color: white;
    margin-bottom: 0;
  }

  #news article h2 {
    color: white;
    font-size: medium;
    width: 100%;
    margin: 0 auto 0.5em;
    text-align: left;
    padding: 0.5em;
  }

  #news article h3 {
    font-size: medium;
  }

  #news article img {
    width: 100%;
  }

  /*         */
  /*  Footer */
  /*         */
  footer {
    display: flex;
    flex-wrap: wrap;
  }

  #info {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
  }

  #bottombar {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    line-height: 2em;
  }
}
